# List company team member events.

List company team member events.

Endpoint: GET /company-team-members/{company_team_member_id}/events
Version: 1.0.0
Security: Token

## Path parameters:

  - `company_team_member_id` (string, required)
    The ID of a company team member. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Query parameters:

  - `start` (string)
    The start date and time of the calendar events. ISO 8601 format.
    Example: "2020-12-29T00:00:00-00:00"

  - `end` (string)
    The end date and time of the calendar events. ISO 8601 format.
    Example: "2020-12-31T00:00:00-00:00"

  - `type` (string)
    The type of the calendar events.
    Enum: "APPOINTMENT", "CALENDAR_BLOCK", "EXTERNAL", "BUFFER", "DECLINED_APPOINTMENT", "UNSCHEDULED_APPOINTMENT"

  - `include_unscheduled` (boolean)
    Include unscheduled appointments.
    Example: true

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (array,null)
    A collection of objects.

  - `data.id` (string)
    The ID of the calendar event.
    Example: "123e4567-e89b-12d3-a456-426614174000"

  - `data.type` (string)
    The type of the calendar event.
    Enum: "APPOINTMENT", "CALENDAR_BLOCK", "EXTERNAL", "BUFFER", "DECLINED_APPOINTMENT", "UNSCHEDULED_APPOINTMENT"

  - `data.title` (string)
    The title of the calendar event.
    Example: "Other appointment"

  - `data.description` (string,null)
    The description of the calendar event.
    Example: "sdjsudsudsds"

  - `data.start_at` (string,null)
    The start time of the calendar event (ISO 8601 format).
    Example: "2020-10-04T12:15:00Z"

  - `data.end_at` (string,null)
    The end time of the calendar event (ISO 8601 format).
    Example: "2020-10-04T12:30:00Z"

  - `data.is_all_day` (boolean)
    Is the calendar event all day?
    Example: true

  - `data.duration` (integer)
    The duration of the calendar event in minutes.
    Example: 60

  - `data.is_busy` (boolean)
    Is the calendar event busy?
    Example: true

  - `data.requires_confirmation` (boolean)
    Does the calendar event require confirmation?
    Example: true

  - `meta` (object)
    Metadata about a paginated response.

  - `meta.total` (integer, required)
    Total number of records.
    Example: 50

  - `meta.per_page` (integer, required)
    Number of records per page.
    Example: 15

  - `meta.current_page` (integer, required)
    The current page.
    Example: 1

  - `meta.last_page` (integer, required)
    The last page of records.
    Example: 4

  - `meta.from` (integer,null)
    The ID of the first record on this page. This is specified as either integer or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: 1

  - `meta.to` (integer,null)
    The ID of the last record on this page. This is specified as either integer or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: 15

  - `meta.path` (string, required)
    The current paged path.
    Example: "https://api.aryeo.com/v1/{path}"

  - `meta.links` (array,null)
    Links.

  - `meta.links.url` (string,null, required)
    The URL of the page.
    Example: "https://admin.aryeo.test/api/v1/companies?page=2"

  - `meta.links.label` (string, required)
    The label of the page.
    Example: "2"

  - `meta.links.active` (boolean, required)
    Whether the page is active.
    Example: true

  - `meta.links.page` (integer,null)
    The page number this link points to.
    Example: 2

  - `links` (object)
    Related links for a paginated response.

  - `links.first` (string, required)
    The first page.
    Example: "https://api.aryeo.com/v1/{path}?page=1"

  - `links.last` (string, required)
    The last page.
    Example: "https://api.aryeo.com/v1/{path}?page=10"

  - `links.prev` (string,null)
    The previous page. This is specified as either string or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: "https://api.aryeo.com/v1/{path}?page=2"

  - `links.next` (string,null)
    The next page. This is specified as either string or null purely for spec testing purposes. The model which is autogenerated from this definition will be thrown out and written by-hand.
    Example: "https://api.aryeo.com/v1/{path}?page=3"

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


